# class Gem::ConsoleUI

Subclass of StreamUI that instantiates the user interaction using STDIN, STDOUT, and STDERR.

### Public Class Methods

new() click to toggle source

The Console UI has no arguments as it defaults to reading input from stdin, output to stdout and warnings or errors to stderr.

Calls superclass method `Gem::StreamUI::new`

    # File lib/rubygems/user_interaction.rb, line 608
    def initialize
      super STDIN, STDOUT, STDERR, true
    end